##############################################################################
## This file is part of 'SLAC Firmware Standard Library'.
## It is subject to the license terms in the LICENSE.txt file found in the
## top-level directory of this distribution and at:
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html.
## No part of 'SLAC Firmware Standard Library', including this file,
## may be copied, modified, propagated, or distributed except according to
## the terms contained in the LICENSE.txt file.
##############################################################################
#schemaversion 3.0.0
#once UdpEngineClient.yaml

UdpEngineClient: &UdpEngineClient
  description: UdpEngineClient
  class: MMIODev
  configPrio: 1
  size: 0x8
  #########
  children:
  #########
    #########################################################
    ClientRemotePort:
      at:
        offset: 0x00
        byteOrder: BE
      class: IntField
      sizeBits: 16
      mode: RW
      description: ClientRemotePort
    #########################################################
    ClientRemoteIp:
      at:
        offset: 0x04
        byteOrder: BE
      class: IntField
      sizeBits: 32
      mode: RW
      description: ClientRemoteIp
    #########################################################
